package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.entity.BaseEntity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(photo_album_):
 */
public class PhotoAlbum extends BaseEntity {

	/**  */
	private Integer id;

	/**  */
	private Long photoNum;
	
	/** 乐团编号 */
	private String musicGroupId;
	
	/** 名称 */
	private String name;
	
	/** 学生端是否展示 */
	private YesOrNoEnum clientShow = YesOrNoEnum.YES;
	
	/** 相册类型DEFAULT,SHOW */
	private String type = "DEFAULT";
	
	/** 封面 */
	private String coverUrl;
	
	/** 封面缩略图 */
	private String coverThumbnailUrl;

	//排序
	private Integer order;
	
	/**  */
	private java.util.Date timeLine;

	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public Date getTimeLine() {
		return timeLine;
	}

	public void setTimeLine(Date timeLine) {
		this.timeLine = timeLine;
	}

	public Long getPhotoNum() {
		return photoNum;
	}

	public void setPhotoNum(Long photoNum) {
		this.photoNum = photoNum;
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}

	public YesOrNoEnum getClientShow() {
		return clientShow;
	}

	public void setClientShow(YesOrNoEnum clientShow) {
		this.clientShow = clientShow;
	}

	public void setType(String type){
		this.type = type;
	}
	
	public String getType(){
		return this.type;
	}
			
	public void setCoverUrl(String coverUrl){
		this.coverUrl = coverUrl;
	}
	
	public String getCoverUrl(){
		return this.coverUrl;
	}
			
	public void setCoverThumbnailUrl(String coverThumbnailUrl){
		this.coverThumbnailUrl = coverThumbnailUrl;
	}
	
	public String getCoverThumbnailUrl(){
		return this.coverThumbnailUrl;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
